# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.687   -> 1.688  
#	drivers/usb/usblcd.c	1.1     -> 1.2    
#	Documentation/Configure.help	1.128   -> 1.129  
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/09/18	info@usblcd.de	1.688
# [PATCH] USBLCD updates
# 
# -changed minor number from 128 to 144. Is that now really the right one ?
# -increased timeout value because some people reported problems
# -(important!) Vender ID has changed from 0x1212 to 0x10D2 , my official
#   assigned one.
# -added usblcd driver to configure.help
# --------------------------------------------
#
diff -Nru a/Documentation/Configure.help b/Documentation/Configure.help
--- a/Documentation/Configure.help	Wed Sep 18 16:33:58 2002
+++ b/Documentation/Configure.help	Wed Sep 18 16:33:58 2002
@@ -14360,6 +14360,18 @@
   The module will be called brlvger.o. If you want to compile it as
   a module, say M here and read <file:Documentation/modules.txt>.
 
+USBLCD support
+CONFIG_USB_LCD
+  Say Y here if you want to connect an USBLCD to your computer's
+  USB port. The USBLCD is a small USB interface board for
+  alphanumeric LCD modules. See <http://www.usblcd.de> for more
+  information.
+
+  This code is also available as a module ( = code which can be
+  inserted in and removed from the running kernel whenever you want).
+  The module will be called usblcd.o. If you want to compile it as
+  a module, say M here and read <file:Documentation/modules.txt>.
+
 D-Link DSB-R100 FM radio support
 CONFIG_USB_DSBR
   Say Y here if you want to connect this type of radio to your
diff -Nru a/drivers/usb/usblcd.c b/drivers/usb/usblcd.c
--- a/drivers/usb/usblcd.c	Wed Sep 18 16:33:58 2002
+++ b/drivers/usb/usblcd.c	Wed Sep 18 16:33:58 2002
@@ -1,7 +1,7 @@
 /***************************************************************************** 
  *                          USBLCD Kernel Driver                             *
  *        See http://www.usblcd.de for Hardware and Documentation.           *
- *                            Version 1.01                                   *
+ *                            Version 1.03                                   *
  *             (C) 2002 Adams IT Services <info@usblcd.de>                   *
  *                                                                           *
  *     This file is licensed under the GPL. See COPYING in the package.      *
@@ -9,6 +9,7 @@
  * hp_scanner.c by David E. Nelson (dnelson@jump.net)                        *
  *                                                                           *
  * 23.7.02 RA changed minor device number to the official assigned one       *
+ * 18.9.02 RA Vendor ID change, longer timeouts                              *
  *****************************************************************************/
 #include <linux/module.h>
 #include <linux/kernel.h>
@@ -18,15 +19,15 @@
 #include <asm/uaccess.h>
 #include <linux/usb.h>
 
-#define DRIVER_VERSION "USBLCD Driver Version 1.01"
+#define DRIVER_VERSION "USBLCD Driver Version 1.03"
 
-#define USBLCD_MINOR		128
+#define USBLCD_MINOR		144
 
 #define IOCTL_GET_HARD_VERSION	1
 #define IOCTL_GET_DRV_VERSION	2
 
 /* stall/wait timeout for USBLCD */
-#define NAK_TIMEOUT	(HZ)
+#define NAK_TIMEOUT	(10*HZ)
 
 #define IBUF_SIZE	0x1000
 #define OBUF_SIZE	0x10000
@@ -293,7 +294,7 @@
 }
 
 static struct usb_device_id id_table [] = {
-	{ .idVendor = 0x1212, .match_flags = USB_DEVICE_ID_MATCH_VENDOR, },
+	{ .idVendor = 0x10D2, .match_flags = USB_DEVICE_ID_MATCH_VENDOR, },
 	{},
 };
 
